Subject: Re: [PATCH] Increase snd/rcv buffers in pppoe

From: Andi Kleen <[email-masked]>
Date: 26 Feb 2004 20:49:00 +0100

Sorry for the late answer.

On Mon, Feb 23, 2004 at 01:32:33PM -0800, David S. Miller wrote:
> > > 2) IPV6 icmp does the same as ipv4, except this value is even more wrong there
> > >    especially considering jumbograms.  With current code, sending a jumbogram
> > >    ipv6 icmp packet would simply fail, and I wonder if anyone has even tried
> > >    this.
> > 
> > Isn't even ICMPv6 limited to the minimum guaranteed MTU (1000 something) like ICMPv4 is to
> > 576 bytes?
> 
> What about ECHO?  I can't send an ICMPv6 jumbo sized ECHO and expect a fully quoted response
> back?

I don't think it should be only sized for big datagrams and other obscure cases.
Better is a reasonable default to fit at least 64K of data with a standard MTU like ~1.4K. 
Or may resize it on MTU change, but I'm not sure that's worth the effort. 

Are you working on this or should I prepare a new patch? 

-Andi